#ifndef QGPYTHONCONSOLEDOCKWIDGET_H
#define QGPYTHONCONSOLEDOCKWIDGET_H

#include <QDockWidget>

namespace Ui {
class QgPythonConsoleDockWidget;
}

class QgPythonConsoleDockWidget : public QDockWidget
{
    Q_OBJECT

    Q_PROPERTY(bool qDebugShow MEMBER m_qtdbg)

    Q_PROPERTY(QString pyhtonVersion MEMBER m_pyver)
public:
    explicit QgPythonConsoleDockWidget(QWidget *parent = 0);
    ~QgPythonConsoleDockWidget();

public slots:
    void miniEditor();

private:
    Ui::QgPythonConsoleDockWidget *ui;

    void forwardToQDbg(const QString&, bool err=false);

    void dropEvent(QDropEvent* evn);
    void dragEnterEvent(QDragEnterEvent *event);

    bool m_qtdbg;
    QString m_pyver;

    class Implementation;
    Implementation& p_;
};

#endif // QGPYTHONCONSOLEDOCKWIDGET_H
